FROM node:22-bookworm-slim AS runner
WORKDIR /app

ENV NODE_ENV production
ENV NEXT_PRIVATE_STANDALONE true

RUN addgroup --system --gid 1001 nodejs
RUN adduser --system --uid 1001 nextjs

# Copy standalone output
# The context is now the standalone folder itself
COPY --chown=nextjs:nodejs . .

USER nextjs

EXPOSE 3000

ENV PORT 3000
ENV HOSTNAME "0.0.0.0"

CMD ["node", "server.js"]
